[Fwd: m4 version advice (1.4.2 "or later")]

Kevin P. Fleming kpfleming at linuxfromscratch.org
Fri Aug 20 17:15:56 PDT 2004



-------- Original Message --------
Subject: m4 version advice (1.4.2 "or later")
Date: Fri, 20 Aug 2004 16:55:19 -0700
From: Paul Eggert <eggert at CS.UCLA.EDU>
To: autoconf-patches at gnu.org

I installed this:

2004-08-20  Paul Eggert  <eggert at cs.ucla.edu>

	* README: Add advice about m4 1.4.2.

Index: README
===================================================================
RCS file: /cvsroot/autoconf/autoconf/README,v
retrieving revision 1.18
retrieving revision 1.19
diff -p -u -r1.18 -r1.19
--- README	2 Jun 2003 06:56:51 -0000	1.18
+++ README	20 Aug 2004 23:54:31 -0000	1.19
@@ -17,6 +17,13 @@ script can find them.  The configuration
  are self-contained, so their users do not need to have Autoconf (or
  GNU M4, Perl etc.).

+Vanilla GNU m4 1.4 has some serious bugs, so we recommend using m4 1.4
+as patched by the standard GNU/Linux distributions.  If you're
+building GNU m4 1.4 from scratch we suggest using 1.4.2 or later.
+You can get 1.4.2 here:
+
+ftp://alpha.gnu.org/gnu/bison/m4-1.4.2.tar.gz
+
  The file INSTALL should be distributed with packages that use
  Autoconf-generated configure scripts and Makefiles that conform to the
  GNU coding standards.  The package's README can just give an overview
@@ -35,7 +42,7 @@ running `autoconf --version'.

  -----

-Copyright (C) 1992, 1993, 1994, 1998, 2000, 2001, 2002, 2003
+Copyright (C) 1992, 1993, 1994, 1998, 2000, 2001, 2002, 2003, 2004
  Free Software Foundation, Inc.

  This file is part of GNU Autoconf.






More information about the lfs-dev mailing list